org.apache.tinkerpop.gremlin.process.computer.ranking.pagerank

## Class PageRankVertexProgram.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder<PageRankVertexProgram.Builder>
  - - org.apache.tinkerpop.gremlin.process.computer.ranking.pagerank.PageRankVertexProgram.Builder

- All Implemented Interfaces:
    VertexProgram.Builder
  Enclosing class:
    PageRankVertexProgram

      public static final class PageRankVertexProgram.Builder
      extends AbstractVertexProgramBuilder<PageRankVertexProgram.Builder>

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder

      `configuration`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `PageRankVertexProgram.Builder` | `alpha(double alpha)`
    `PageRankVertexProgram.Builder` | `edges(Traversal.Admin<Vertex,Edge> edgeTraversal)`
    `PageRankVertexProgram.Builder` | `epsilon(double epsilon)`
    `PageRankVertexProgram.Builder` | `initialRank(Traversal.Admin<Vertex,? extends Number> initialRankTraversal)`
    `PageRankVertexProgram.Builder` | `iterations(int iterations)`
    `PageRankVertexProgram.Builder` | `property(String key)`
    `PageRankVertexProgram.Builder` | `traversal(Traversal.Admin<Vertex,Edge> traversal)` Deprecated. As of release 3.2.0, replaced by `edges(Traversal.Admin)`
    `PageRankVertexProgram.Builder` | `traversal(TraversalSource traversalSource, String scriptEngine, String traversalScript, Object... bindings)` Deprecated. As of release 3.2.0, replaced by `edges(Traversal.Admin)`
    `PageRankVertexProgram.Builder` | `vertexCount(long vertexCount)` Deprecated. As of release 3.2.0, replaced by `initialRank(Traversal.Admin)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder

      `configure, create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.computer.VertexProgram.Builder

      `create`

- - ### Method Detail

    - #### iterations

          public PageRankVertexProgram.Builder iterations(int iterations)

    - #### alpha

          public PageRankVertexProgram.Builder alpha(double alpha)

    - #### property

          public PageRankVertexProgram.Builder property(String key)

    - #### epsilon

          public PageRankVertexProgram.Builder epsilon(double epsilon)

    - #### edges

          public PageRankVertexProgram.Builder edges(Traversal.Admin<Vertex,Edge> edgeTraversal)

    - #### initialRank

          public PageRankVertexProgram.Builder initialRank(Traversal.Admin<Vertex,? extends Number> initialRankTraversal)

    - #### vertexCount

          @Deprecated
          public PageRankVertexProgram.Builder vertexCount(long vertexCount)

      Deprecated. As of release 3.2.0, replaced by `initialRank(Traversal.Admin)`

    - #### traversal

          @Deprecated
          public PageRankVertexProgram.Builder traversal(TraversalSource traversalSource,
                                                                     String scriptEngine,
                                                                     String traversalScript,
                                                                     Object... bindings)

      Deprecated. As of release 3.2.0, replaced by `edges(Traversal.Admin)`

    - #### traversal

          @Deprecated
          public PageRankVertexProgram.Builder traversal(Traversal.Admin<Vertex,Edge> traversal)

      Deprecated. As of release 3.2.0, replaced by `edges(Traversal.Admin)`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.